(*********************************************)
(*                                           *)
(*  ThkColorPicker Demo                      *)
(*  Copyright  2004 Hristo Kostov (Runner)  *)
(*  All rights reserved                      *)
(*                                           *)
(*********************************************)

unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, hkColorPicker, ExtCtrls;

type
  TfrmMain = class(TForm)
    hkColorPicker: ThkColorPicker;
    pnlColor: TPanel;
    lblColor: TLabel;
    chbEnabled: TCheckBox;
    lblInterval: TLabel;
    edtInterval: TEdit;
    udInterval: TUpDown;
    procedure hkColorPickerTimer(Sender: TObject);
    procedure edtIntervalChange(Sender: TObject);
    procedure chbEnabledClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.hkColorPickerTimer(Sender: TObject);
begin
  pnlColor.Color := hkColorPicker.Color;
  lblColor.Caption := ColorToString(hkColorPicker.Color);
end;

procedure TfrmMain.edtIntervalChange(Sender: TObject);
var
  Val: Integer;
begin
  Val := StrToIntDef(edtInterval.Text, udInterval.Position);
  edtInterval.Text := IntToStr(Val);
  hkColorPicker.Interval := Val;
end;

procedure TfrmMain.chbEnabledClick(Sender: TObject);
begin
  hkColorPicker.Enabled := chbEnabled.Checked;
end;

end.